local GarrisonResources = CreateFrame("Frame", "Broker_GarrisonResources")
GarrisonResources.obj = LibStub("LibDataBroker-1.1"):NewDataObject("Broker Garrison Resources",{
    type  = "data source",
    text  = "0",
    label = "Garrison Resources",
    icon  = "Interface\\Icons\\inv_garrison_resource",
} )

GarrisonResources:SetScript("OnEvent", function()
	for i = 1, GetCurrencyListSize(), 1 do
		local _, _, _, _, _, _, icon, _, _, _, _ = GetCurrencyListInfo(i)
		if icon == "Interface\\Icons\\inv_garrison_resource" then
			local _, _, _, _, _, count, _, _, _, _, _ = GetCurrencyListInfo(i)
			GarrisonResources.obj.text = count or "0"
		end
	end
end)

GarrisonResources:RegisterEvent("CURRENCY_DISPLAY_UPDATE")
GarrisonResources:RegisterEvent("PLAYER_ENTERING_WORLD")